digiKam Developer Documentation: Digikam::SearchFieldComboBox Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Protected Attributes | List of all members
Digikam::SearchFieldComboBox Class Reference
Inheritance diagram for Digikam::SearchFieldComboBox:

## Public Member Functions
| SearchFieldComboBox (QObject *const parent)
void | reset () override
void | setupValueWidgets (QGridLayout *layout, int row, int column) override
void | setValueWidgetsVisible (bool visible) override
QList< QRect > | valueWidgetRects () const override
void | write (SearchXmlWriter &writer) override
Public Member Functions inherited from Digikam::SearchField
| SearchField (QObject *const parent)
bool | isVisible () override
virtual void | read (SearchXmlCachingReader &reader)=0
void | setCategoryLabelVisible (bool visible)
void | setCategoryLabelVisibleFromPreviousField (SearchField *const previousField)
void | setFieldName (const QString &fieldName)
virtual void | setText (const QString &label, const QString &detailLabel)
void | setup (QGridLayout *const layout, int row=-1)
void | setVisible (bool visible) override
virtual bool | supportsField (const QString &fieldName)
QList< QRect > | widgetRects (WidgetRectType=ValueWidgetRectsOnly) const

## Protected Slots
void | indexChanged (int)
Protected Slots inherited from Digikam::SearchField
void | clearButtonClicked ()

## Protected Attributes
QComboBox * | m_comboBox = nullptr
Protected Attributes inherited from Digikam::SearchField
bool | m_categoryLabelVisible = true
AnimatedClearButton * | m_clearButton = nullptr
QLabel * | m_detailLabel = nullptr
QLabel * | m_label = nullptr
QString | m_name
bool | m_valueIsValid = false

## Additional Inherited Members
Public Types inherited from Digikam::SearchField
enum | WidgetRectType { LabelAndValueWidgetRects , ValueWidgetRectsOnly }
Signals inherited from Digikam::SearchField
void | signalVisibilityChanged ()
Static Public Member Functions inherited from Digikam::SearchField
static SearchField * | createField (const QString &fieldName, SearchFieldGroup *const parent)
Protected Member Functions inherited from Digikam::SearchField
virtual void | setupLabels (QGridLayout *layout, int line)
void | setValidValueState (bool valueIsValid)

## Member Function Documentation

## ◆ reset()

void Digikam::SearchFieldComboBox::reset | ( |  | ) |
| overridevirtual

Implements Digikam::SearchField.

## ◆ setupValueWidgets()

void Digikam::SearchFieldComboBox::setupValueWidgets | ( | QGridLayout * | layout,
|  | int | row,
|  | int | column
| ) |  |
| overridevirtual

Implements Digikam::SearchField.

## ◆ setValueWidgetsVisible()

void Digikam::SearchFieldComboBox::setValueWidgetsVisible | ( | bool | visible | ) |
| overridevirtual

Implements Digikam::SearchField.

## ◆ valueWidgetRects()

QList< QRect > Digikam::SearchFieldComboBox::valueWidgetRects | ( |  | ) | const
| overridevirtual

Implements Digikam::SearchField.

## ◆ write()

void Digikam::SearchFieldComboBox::write | ( | SearchXmlWriter & | writer | ) |
| overridevirtual

Implements Digikam::SearchField.